Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596552 - JSS: Add support for TLS_*_SHA384 ciphers [rhel-7.5.z]
Summary: JSS: Add support for TLS_*_SHA384 ciphers [rhel-7.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: jss
Version: 7.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Christina Fu
QA Contact: Asha Akkiangady
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1554056
Blocks: 1596769
TreeView+ depends on / blocked
 
Reported: 2018-06-29 08:39 UTC by Oneata Mircea Teodor
Modified: 2018-08-16 14:19 UTC (History)
7 users (show)

Fixed In Version: jss-4.4.0-13.el7_5
Doc Type: Enhancement
Doc Text:
This update adds support for TLS_*_SHA384 ciphers to the Java Security Services (JSS).
Clone Of: 1554056
Environment:
Last Closed: 2018-08-16 14:19:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1444690 None None None 2018-06-29 08:39:46 UTC
Red Hat Product Errata RHBA-2018:2453 None None None 2018-08-16 14:19:36 UTC

Description Oneata Mircea Teodor 2018-06-29 08:39:39 UTC
This bug has been copied from bug #1554056 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 2 Christina Fu 2018-06-29 16:27:25 UTC
commit 82f4b9a032f942fdc005e12a408c8e87c9ea0f36 (HEAD -> JSS_4_4_BRANCH, origin/JSS_4_4_BRANCH)
Author: Christina Fu <cfu@redhat.com>
Date:   Thu Jun 28 17:42:36 2018 -0700

    Ticket #4 Add support for TLS_*_SHA384 ciphers
    
    This patch adds support for TLS_*_SHA384 ciphers.
    
    Fixes https://pagure.io/jss/issue/4

Comment 3 Christina Fu 2018-06-29 16:30:14 UTC
test per instruction here: https://bugzilla.redhat.com/show_bug.cgi?id=1554056#c7

Comment 5 Amol K 2018-07-24 10:20:18 UTC
Hey Christina,

I verified https://bugzilla.redhat.com/show_bug.cgi?id=1597180#c6 and it works fine, do you think I need to do some extra test steps for this BZ or is it sufficient?

Comment 6 Christina Fu 2018-07-24 17:29:01 UTC
(In reply to Amol K from comment #5)
> Hey Christina,
> 
> I verified https://bugzilla.redhat.com/show_bug.cgi?id=1597180#c6 and it
> works fine, do you think I need to do some extra test steps for this BZ or
> is it sufficient?

I think if you followed the provided test procedure then it should be good.

The Tomcatjss one (https://bugzilla.redhat.com/show_bug.cgi?id=1596769 ) should give this fix more test.

Comment 7 Amol K 2018-07-25 11:16:26 UTC
I tested this BZ on 10.5.1-14.el7_5, and it is working as expected.

I followed the same steps which are mentioned in the BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1596769#c6

Verifying this Bugzilla.

Comment 9 errata-xmlrpc 2018-08-16 14:19:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2453


Note You need to log in before you can comment on or make changes to this bug.